ich_set_dmamode
Prev | Chapter 8. ata_piix Internals | Next

## Name

ich_set_dmamode — Initialize host controller PATA DMA timings

## Synopsis

`void ich_set_dmamode (` | struct ata_port * | ap,
| struct ata_device * | adev`)`;

## Arguments

`ap`

  Port whose timings we are configuring

`adev`

  um

## Description

Set MW/UDMA mode for device, in host controller PCI config space.

## LOCKING

None (inherited from caller).

Prev | Up | Next
piix_set_dmamode | Home | piix_check_450nx_errata